
Foreman - Bug #392

audit search by user not working

09/30/2010 07:22 PM - Gustavo Soares

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Audit Log   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When searching within the audit log page, the user select is not shown properly.

I will send the patch soon.

Associated revisions

Revision ba85bb76 - 11/09/2010 09:12 AM - Ohad Levy

fixes #392 - audit search by user not working

this will only show users who actually have an audit assoicated to them

History

#1 - 09/30/2010 07:28 PM - Gustavo Soares

The select element not shown properly, because the field username is not populated correctly.

mysql> select distinct username from audits;

-------- | username |

-------- | NULL     |

--------

1 row in set (0.01 sec)

Here is the patch

http://github.com/gustavosoares/foreman/commit/be189c6f962d0e190b693c12015ec70e8b9211c2

#2 - 11/09/2010 09:12 AM - Ohad Levy

- Category set to Audit Log

- Assignee set to Ohad Levy

- Target version set to 0.1-6

Gustavo Soares wrote:

The select element not shown properly, because the field username is not populated correctly.

mysql> select distinct username from audits;

-------- | username |

-------- | NULL     |

--------

1 row in set (0.01 sec)

Here is the patch

http://github.com/gustavosoares/foreman/commit/be189c6f962d0e190b693c12015ec70e8b9211c2
#3 - 11/09/2010 09:18 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset ba85bb7675e8914f167556ff3b7689c8e6025dbe.

#4 - 11/09/2010 01:16 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
